#ifndef CEP_NRF_ESB_SRC_COMMANDS_H
#define CEP_NRF_ESB_SRC_COMMANDS_H

enum command_t {
    COMMAND_NOP,
    COMMAND_INIT,
    COMMAND_SUSPEND,
    COMMAND_DISABLE,
    COMMAND_IS_IDLE,
    COMMAND_WRITE_PAYLOAD,
    COMMAND_READ_RX_PAYLOAD,
    COMMAND_START_TX,
    COMMAND_START_RX,
    COMMAND_STOP_RX,
    COMMAND_FLUSH_TX,
    COMMAND_POP_TX,
    COMMAND_TX_FULL,
    COMMAND_FLUSH_RX,
    COMMAND_SET_ADDRESS_LENGTH,
    COMMAND_SET_BASE_ADDRESS_0,
    COMMAND_SET_BASE_ADDRESS_1,
    COMMAND_SET_PREFIXES,
    COMMAND_ENABLE_PIPES,
    COMMAND_UPDATE_PREFIX,
    COMMAND_SET_RF_CHANNEL,
    COMMAND_GET_RF_CHANNEL,
    COMMAND_SET_TX_POWER,
    COMMAND_SET_RETRANSMIT_DELAY,
    COMMAND_SET_RETRANSMIT_COUNT,
    COMMAND_SET_BITRATE,
    COMMAND_REUSE_PID,
    COMMAND_GET_LAST_EVT,
    COMMAND_SAVE_WORD,
    COMMAND_LOAD_WORD,
    COMMAND_ERASE_WORD,
    COMMAND_COUNT,
};

const char* commandToStr(enum command_t command);

#endif